Saltar al contenido principal
POST
Typescript (SDK)

Autorizaciones

Authorization
string
header
requerido

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de ruta

server_id
string
requerido

Cuerpo

application/json
name
string | null
Required string length: 1 - 255
auth_type
enum<string>
Opciones disponibles:
bearer,
authorization,
headers,
none,
oauth
bearer_token
string
Required string length: 1 - 8192
authorization
string
Required string length: 1 - 8192
headers
object
expires_at
string<date-time> | null

Respuesta

201 - application/json

Está bien

id
string
requerido
object
any
requerido
server_id
string
requerido
name
string | null
requerido
auth_type
enum<string>
requerido

Las credenciales de OAuth solo provienen del flujo de conexión de OAuth.

Opciones disponibles:
bearer,
authorization,
headers,
none,
oauth
authorization_preview
string | null
requerido
header_names
string[]
requerido
status
enum<string>
requerido

needs_reauthorization cuando el proveedor OAuth ya no reconoce la credencial.

Opciones disponibles:
active,
needs_reauthorization
scopes
string[] | null
requerido

Ámbitos concedidos a una credencial oauth; null para cualquier otro auth_type.

expires_at
string<date-time> | null
requerido
last_used_at
string<date-time> | null
requerido
created_at
string<date-time>
requerido
updated_at
string<date-time>
requerido
revoked_at
string<date-time> | null
requerido